Subject: Re: [PATCH net] net: sfp-bus: fix SFP mode detect from bitrate

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 15 Jan 2024 16:07:06 +0000

On Mon, Jan 15, 2024 at 04:58:48PM +0100, Maxime Chevallier wrote:
> Hello Russell,
> 
> On Mon, 15 Jan 2024 12:43:38 +0000
> "Russell King (Oracle)" <[email-masked]> wrote:
> 
> > The referenced commit moved the setting of the Autoneg and pause bits
> > early in sfp_parse_support(). However, we check whether the modes are
> > empty before using the bitrate to set some modes. Setting these bits
> > so early causes that test to always be false, preventing this working,
> > and thus some modules that used to work no longer do.
> > 
> > Move them just before the call to the quirk.
> > 
> > Fixes: 8110633db49d ("net: sfp-bus: allow SFP quirks to override Autoneg and pause bits")
> > Signed-off-by: Russell King (Oracle) <[email-masked]>
> 
> I don't have modules to trigger the bug, however the fix looks OK to me.
> 
> Reviewed-by: Maxime Chevallier <[email-masked]>

In case there's interest:

        Identifier                                : 0x03 (SFP)
        Extended identifier                       : 0x04 (GBIC/SFP defined by 2-
wire interface ID)
        Connector                                 : 0x07 (LC)
        Transceiver codes                         : 0x00 0x00 0x00 0x00 0x20 0x1
0 0x01 0x00 0x00
        Transceiver type                          : FC: intermediate distance (I
)
        Transceiver type                          : FC: Longwave laser (LL)
        Transceiver type                          : FC: Single Mode (SM)
        Encoding                                  : 0x01 (8B/10B)
        BR, Nominal                               : 1300MBd
...
        Laser wavelength                          : 1550nm
        Vendor name                               : FiberStore
        Vendor OUI                                : 00:00:00
        Vendor PN                                 : SFP-GE-BX
        Vendor rev                                : A0

which is the module I use for my internet connectivity between the
critical internal systems and the rest of the planet... so the regression
got noticed when I upgraded the kernel on Friday!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!